searchData={"items":[{"type":"module","title":"LiveviewPlayground","doc":"Documentation for `LiveviewPlayground`.","ref":"LiveviewPlayground.html"},{"type":"function","title":"LiveviewPlayground.start/1","doc":"Starts liveview playground\n\nAll options are optional. They are:\n\n  * `:router` - the Phoenix.Router module\n\n  * `:endpoint` - the Phoenix.Endpoint module\n\n  * `:script` - list of binaries that will be included as scripts on the layout","ref":"LiveviewPlayground.html#start/1"},{"type":"module","title":"LiveviewPlayground.Endpoint","doc":"","ref":"LiveviewPlayground.Endpoint.html"},{"type":"function","title":"LiveviewPlayground.Endpoint.broadcast/3","doc":"","ref":"LiveviewPlayground.Endpoint.html#broadcast/3"},{"type":"function","title":"LiveviewPlayground.Endpoint.broadcast!/3","doc":"","ref":"LiveviewPlayground.Endpoint.html#broadcast!/3"},{"type":"function","title":"LiveviewPlayground.Endpoint.broadcast_from/4","doc":"","ref":"LiveviewPlayground.Endpoint.html#broadcast_from/4"},{"type":"function","title":"LiveviewPlayground.Endpoint.broadcast_from!/4","doc":"","ref":"LiveviewPlayground.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"LiveviewPlayground.Endpoint.call/2","doc":"","ref":"LiveviewPlayground.Endpoint.html#call/2"},{"type":"function","title":"LiveviewPlayground.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"LiveviewPlayground.Endpoint.html#child_spec/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"LiveviewPlayground.Endpoint.html#config/2"},{"type":"function","title":"LiveviewPlayground.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"LiveviewPlayground.Endpoint.html#config_change/2"},{"type":"function","title":"LiveviewPlayground.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"LiveviewPlayground.Endpoint.html#host/0"},{"type":"function","title":"LiveviewPlayground.Endpoint.init/1","doc":"","ref":"LiveviewPlayground.Endpoint.html#init/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.local_broadcast/3","doc":"","ref":"LiveviewPlayground.Endpoint.html#local_broadcast/3"},{"type":"function","title":"LiveviewPlayground.Endpoint.local_broadcast_from/4","doc":"","ref":"LiveviewPlayground.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"LiveviewPlayground.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"LiveviewPlayground.Endpoint.html#path/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.script_name/0","doc":"Generates the script name.","ref":"LiveviewPlayground.Endpoint.html#script_name/0"},{"type":"function","title":"LiveviewPlayground.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"LiveviewPlayground.Endpoint.html#server_info/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"LiveviewPlayground.Endpoint.html#start_link/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"LiveviewPlayground.Endpoint.html#static_integrity/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"LiveviewPlayground.Endpoint.html#static_lookup/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"LiveviewPlayground.Endpoint.html#static_path/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"LiveviewPlayground.Endpoint.html#static_url/0"},{"type":"function","title":"LiveviewPlayground.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"LiveviewPlayground.Endpoint.html#struct_url/0"},{"type":"function","title":"LiveviewPlayground.Endpoint.subscribe/2","doc":"","ref":"LiveviewPlayground.Endpoint.html#subscribe/2"},{"type":"function","title":"LiveviewPlayground.Endpoint.unsubscribe/1","doc":"","ref":"LiveviewPlayground.Endpoint.html#unsubscribe/1"},{"type":"function","title":"LiveviewPlayground.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"LiveviewPlayground.Endpoint.html#url/0"},{"type":"module","title":"LiveviewPlayground.ErrorView","doc":"","ref":"LiveviewPlayground.ErrorView.html"},{"type":"function","title":"LiveviewPlayground.ErrorView.render/2","doc":"","ref":"LiveviewPlayground.ErrorView.html#render/2"},{"type":"module","title":"LiveviewPlayground.Layout","doc":"","ref":"LiveviewPlayground.Layout.html"},{"type":"function","title":"LiveviewPlayground.Layout.render/1","doc":"","ref":"LiveviewPlayground.Layout.html#render/1"},{"type":"function","title":"LiveviewPlayground.Layout.render/2","doc":"","ref":"LiveviewPlayground.Layout.html#render/2"},{"type":"module","title":"LiveviewPlayground.Router","doc":"","ref":"LiveviewPlayground.Router.html"},{"type":"function","title":"LiveviewPlayground.Router.browser/2","doc":"","ref":"LiveviewPlayground.Router.html#browser/2"},{"type":"function","title":"LiveviewPlayground.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"LiveviewPlayground.Router.html#call/2"},{"type":"function","title":"LiveviewPlayground.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"LiveviewPlayground.Router.html#init/1"},{"type":"module","title":"LiveviewPlaygroundWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, components, channels, and so on.\n\nThis can be used in your application as:\n\n    use LiveviewPlaygroundWeb, :controller\n    use LiveviewPlaygroundWeb, :html\n\nThe definitions below will be executed for every controller,\ncomponent, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define additional modules and import\nthose modules here.","ref":"LiveviewPlaygroundWeb.html"},{"type":"macro","title":"LiveviewPlaygroundWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"LiveviewPlaygroundWeb.html#__using__/1"},{"type":"function","title":"LiveviewPlaygroundWeb.html/0","doc":"","ref":"LiveviewPlaygroundWeb.html#html/0"},{"type":"function","title":"LiveviewPlaygroundWeb.live_component/0","doc":"","ref":"LiveviewPlaygroundWeb.html#live_component/0"},{"type":"function","title":"LiveviewPlaygroundWeb.live_view/0","doc":"","ref":"LiveviewPlaygroundWeb.html#live_view/0"},{"type":"function","title":"LiveviewPlaygroundWeb.router/0","doc":"","ref":"LiveviewPlaygroundWeb.html#router/0"},{"type":"function","title":"LiveviewPlaygroundWeb.static_paths/0","doc":"","ref":"LiveviewPlaygroundWeb.html#static_paths/0"},{"type":"function","title":"LiveviewPlaygroundWeb.verified_routes/0","doc":"","ref":"LiveviewPlaygroundWeb.html#verified_routes/0"},{"type":"module","title":"LiveviewPlaygroundWeb.CoreComponents","doc":"Provides core UI components.\n\nAt first glance, this module may seem daunting, but its goal is to provide\ncore building blocks for your application, such as modals, tables, and\nforms. The components consist mostly of markup and are well-documented\nwith doc strings and declarative assigns. You may customize and style\nthem in any way you want, based on your application growth and needs.\n\nThe default components use Tailwind CSS, a utility-first CSS framework.\nSee the [Tailwind CSS documentation](https://tailwindcss.com) to learn\nhow to customize them or feel free to swap in another framework altogether.\n\nIcons are provided by [heroicons](https://heroicons.com). See `icon/1` for usage.","ref":"LiveviewPlaygroundWeb.CoreComponents.html"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.back/1","doc":"Renders a back navigation link.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#back/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#back/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.back/1","doc":"* `navigate` (`:any`) (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#back/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.back/1","doc":"* `inner_block` (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#back/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.button/1","doc":"Renders a button.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#button/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#button/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#button/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.button/1","doc":"* `inner_block` (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#button/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.error/1","doc":"Generates a generic error message.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#error/1"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.error/1","doc":"* `inner_block` (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#error/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.flash/1","doc":"Renders flash notices.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash_group/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash_group/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash-group\"`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#flash_group/1-attributes"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.header/1","doc":"Renders a header with title.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#header/1"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#header/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"LiveviewPlaygroundWeb.CoreComponents.html#header/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.hide/2","doc":"","ref":"LiveviewPlaygroundWeb.CoreComponents.html#hide/2"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.hide_modal/2","doc":"","ref":"LiveviewPlaygroundWeb.CoreComponents.html#hide_modal/2"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from the `deps/heroicons` directory and bundled within\nyour compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#icon/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"LiveviewPlaygroundWeb.CoreComponents.html#icon/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#icon/1-attributes"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.input/1","doc":"Renders an input with label and error messages.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#input/1"},{"type":"function","title":"Types - LiveviewPlaygroundWeb.CoreComponents.input/1","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#input/1-types"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"LiveviewPlaygroundWeb.CoreComponents.html#input/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#input/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.input/1","doc":"* `inner_block`","ref":"LiveviewPlaygroundWeb.CoreComponents.html#input/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.label/1","doc":"Renders a label.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#label/1"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#label/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.label/1","doc":"* `inner_block` (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#label/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.list/1","doc":"Renders a data list.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#list/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.list/1","doc":"<.list>\n      <:item title=\"Title\"><%= @post.title %></:item>\n      <:item title=\"Views\"><%= @post.views %></:item>\n    </.list>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#list/1-examples"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#list/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.modal/1","doc":"Renders a modal.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#modal/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.modal/1","doc":"<.modal id=\"confirm-modal\">\n      This is a modal.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.modal>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#modal/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.modal/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#modal/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.modal/1","doc":"* `inner_block` (required)","ref":"LiveviewPlaygroundWeb.CoreComponents.html#modal/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.show/2","doc":"","ref":"LiveviewPlaygroundWeb.CoreComponents.html#show/2"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.show_modal/2","doc":"","ref":"LiveviewPlaygroundWeb.CoreComponents.html#show_modal/2"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.simple_form/1","doc":"Renders a simple form.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#simple_form/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#simple_form/1-slots"},{"type":"function","title":"LiveviewPlaygroundWeb.CoreComponents.table/1","doc":"Renders a table with generic styling.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#table/1"},{"type":"function","title":"Examples - LiveviewPlaygroundWeb.CoreComponents.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\"><%= user.id %></:col>\n      <:col :let={user} label=\"username\"><%= user.username %></:col>\n    </.table>","ref":"LiveviewPlaygroundWeb.CoreComponents.html#table/1-examples"},{"type":"function","title":"Attributes - LiveviewPlaygroundWeb.CoreComponents.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#table/1-attributes"},{"type":"function","title":"Slots - LiveviewPlaygroundWeb.CoreComponents.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"LiveviewPlaygroundWeb.CoreComponents.html#table/1-slots"},{"type":"extras","title":"Your first LiveView!","doc":"# Your first LiveView!\n\nThe easiest way to have your LiveView running without boilerplate","ref":"readme.html"},{"type":"extras","title":"Installation - Your first LiveView!","doc":"Create a file named `main.exs`:\n\n```elixir\nMix.install([\n  {:liveview_playground, \"~> 0.1.6\"}\n])\n\ndefmodule PageLive do\n  use LiveviewPlaygroundWeb, :live_view\n\n  def mount(_params, _session, socket) do\n    {:ok, assign(socket, :name, \"World\")}\n  end\n\n  def render(assigns) do\n    ~H\"\"\"\n    Hello <%= @name %>\n    \"\"\"\n  end\nend\n\nLiveviewPlayground.start()\n```\n\nThen run `elixir main.exs`. Congratulations! You have LiveView running at http://localhost:4000","ref":"readme.html#installation"},{"type":"extras","title":"Number Counter","doc":"","ref":"number-counter.html"},{"type":"extras","title":"Counter LiveView - Number Counter","doc":"Probably the most common example LiveView out there is the counter:\n\n```\nMix.install([\n  {:liveview_playground, \"~> 0.1.6\"}\n])\n\ndefmodule PageLive do\n  use LiveviewPlaygroundWeb, :live_view\n\n  def mount(_params, _session, socket) do\n    {:ok, assign(socket, :count, 0)}\n  end\n\n  def render(assigns) do\n    ~H\"\"\"\n    Counter: <%= @count %>\n     + \n     - \n    \"\"\"\n  end\n\n  def handle_event(\"inc\", _params, socket) do\n    {:noreply, assign(socket, :count, socket.assigns.count + 1)}\n  end\n\n  def handle_event(\"dec\", _params, socket) do\n    {:noreply, assign(socket, :count, socket.assigns.count - 1)}\n  end\nend\n\nLiveviewPlayground.start()\n```","ref":"number-counter.html#counter-liveview"},{"type":"extras","title":"Custom Router","doc":"","ref":"custom-router.html"},{"type":"extras","title":"CustomRouter LiveView - Custom Router","doc":"Soon enough you will need more than one route. You can specify a `router` option on your `LiveviewPlayground.start`.\n\n```\nMix.install([\n  {:liveview_playground, \"~> 0.1.6\"}\n])\n\ndefmodule CustomRouter do\n  use Phoenix.Router\n  import Phoenix.LiveView.Router\n\n  pipeline :browser do\n    plug(:accepts, [\"html\"])\n  end\n\n  scope \"/\" do\n    pipe_through(:browser)\n\n    live(\"/\", PageLive, :index)\n    live(\"/other\", OtherPageLive, :about)\n  end\nend\n\ndefmodule PageLive do\n  use LiveviewPlaygroundWeb, :live_view\n\n  def render(assigns) do\n    ~H\"\"\"\n     PageLive \n     \n      <.link navigate={~p\"/other\"}>Go to other</.link>\n     \n    \"\"\"\n  end\nend\n\ndefmodule OtherPageLive do\n  use LiveviewPlaygroundWeb, :live_view\n\n  def render(assigns) do\n    ~H\"\"\"\n     OtherPageLive \n    <.link navigate={~p\"/\"}>Go to home</.link>\n    \"\"\"\n  end\nend\n\nLiveviewPlayground.start(router: CustomRouter)\n```","ref":"custom-router.html#customrouter-liveview"},{"type":"extras","title":"Tailwind","doc":"","ref":"tailwind.html"},{"type":"extras","title":"Using Tailwind - Tailwind","doc":"This is an example on how to pass the `tailwind` cdn to be inserted as a ` ` script.\n\n```\nMix.install([\n  {:liveview_playground, \"~> 0.1.6\"}\n])\n\ndefmodule PageLive do\n  use LiveviewPlaygroundWeb, :live_view\n\n  def render(assigns) do\n    ~H\"\"\"\n     \n      Hello world!\n     \n    \"\"\"\n  end\nend\n\nLiveviewPlayground.start(scripts: [\"https://cdn.tailwindcss.com\"])\n```","ref":"tailwind.html#using-tailwind"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}